## gpe-cvs-20050207.tar.bz2

=== tasks/Makefile ===
#------------------------
# Makefile for GPE tasks
#------------------------
#
# * Change the content of a task:
#
#   1. edit       DEP_<task-name>
#   2. increment  VERSION
#
#
# * Add a task:
#
#   1. create a file <task-name>.control,
#      including _SOURCE_, _VERSION_ and _DEPS_ variables
#   2. create a variable DEP_<task-name>
#   3. add the task to ALL_TASKS
#
#   that's it.
#------------------------

VERSION = 0.45

ALL_TASKS = \
    gpe2 \
    \
    gpe-collateral-gtk2 \
    \
    gpe-task-base \
    gpe-task-pim \
    gpe-task-utils \
    gpe-task-comm \
    gpe-task-mmedia \
    gpe-task-games \
    gpe-task-extra-apps \
    gpe-task-extra-games \

default: $(ALL_TASKS)
	make printinfo

#-----------------------------------------------------
#DIST_FILES = Makefile $(patsubst %,%.control,$(ALL_TASKS))
PACKAGE = gpe-tasks-src

ifeq ($(CVSBUILD),yes)
BUILD = ../base/build
else
BUILD = build
endif

$(BUILD)/Makefile.dpkg_ipkg:
	@echo "Couldn't find Makefile.dpkg_ipkg.  Maybe you need to set 'CVSBUILD=yes'?"
	exit 1

include $(BUILD)/Makefile.dpkg_ipkg


TMP_FILE1 = __tmp1
TMP_FILE2 = __tmp2
% : %.control
	@rm -rf dist
	@mkdir -p dist/CONTROL
	@sed 's:_VERSION_:$(VERSION):'  < $<           > $(TMP_FILE1)
	@sed 's:_DEPS_:$(DEP_$@):'      < $(TMP_FILE1) > $(TMP_FILE2)
	@sed 's$$_SOURCE_$$$(SOURCE)$$' < $(TMP_FILE2) > dist/CONTROL/control
	@rm -rf $(TMP_FILE1) $(TMP_FILE2)
	@ipkg-build -o root -g root dist
ifeq ($(SIGN),yes)
	gpg -sb --armor $@_$(VERSION)_all.ipk
endif

clean:
	rm -rf dist *.ipk *.ipk.asc *~ .*~
	rm -rf familiar/dist familiar/*~


#====================================================
#================= TASKS DEFINITION =================

#---Meta tasks
DEP_gpe2 = \
    gpe-task-base, \
    gpe-task-comm, \
    gpe-task-mmedia, \
    gpe-task-pim, \
    gpe-task-utils, \
    gpe-task-games
#    gpe-task-extra-apps \


#---This is the base to run GPE
DEP_gpe-task-base = \
    \
    gpe-collateral-gtk2, \
    gdk-pixbuf2-loader-jpeg, \
    \
    gpe-bootsplash2, \
    gpe-dm, \
    gpe-login2, \
    gpe-session-scripts, \
    gpe-terminal, \
    \
    keylaunch, \
    esd, \
    detect-stylus, \
    gpe-soundserver, \
    gpe-mimedir-tools, \
    teleport, \
    gpe-keylock, \
    \
    matchbox, \
    xmonobut, \
    minilite, \
    minibat, \
    minipredict, \
    matchbox-panel-hacks, \
    mbinputmgr, \
    \
    xstroke, \
    rosetta, \
    xkbd, \
    mbmerlin, \
    \
    startup-monitor, \
    \
    xtscal, \
    gpe-su2, \
    gpe-conf, \
    gpe-confd, \
    xst, \
    \
    gpe-what, \
    gpe-question2, \
    gpe-announce2, \
    \
    gpe-wlancfg, \
    gpe-aerial, \
    hotplug-dbus, \
    gpe-autostarter, \
    nsqld
#FIXME: could be refined (contains hardware dependant packages)

DEP_gpe-collateral-gtk2 = \
    gtk2-theme-angelistic, \
    ttf-bitstream-vera

#------------------------------------------
# The following aims to be USER LEVEL tasks
#------------------------------------------

#------------------------------------------ PIM applications
DEP_gpe-task-pim = \
    gpe-task-base, \
    gpe-calendar2, \
    gpe-soundbite2, \
    gpe-contacts2, \
    gpe-sketchbook2, \
    gpe-today, \
    gpe-todo2, \
    \
    gpe-minicalc2, \
    gpe-calculator2, \
    \
    figment, \
    gpe-timesheet2, \
    greader, \
    gpe-watch
#FIXME: 2 calculators!

#------------------------------------------ System utilities
DEP_gpe-task-utils = \
    gpe-task-base, \
    gpe-edit2, \
    gpe-taskmanager

#------------------------------------------ Communication apps
DEP_gpe-task-comm = \
    gpe-task-base, \
    dillo2, \
    gpe-irc, \
    linphone
#FIXME: add email/contacts

#------------------------------------------ Multimedia apps
DEP_gpe-task-mmedia = \
    gpe-task-base, \
    gpe-gallery, \
    gpe-nmf, \
    gpe-mixer

#------------------------------------------ Extra apps
DEP_gpe-task-extra-apps = \
    gpe-task-base, \
    gpe-filemanager2

#------------------------------------------ Games
DEP_gpe-task-games = \
    gpe-tetris2, \
    xdemineur, \
    gpe-lights, \
    gpe-code2, \
    gpe-julia2, \
    gpe-othello2, \
    gsoko2, \
    pdamaze
#FIXME: couple of games to move to extra-games.

#------------------------------------------ Extra games
DEP_gpe-task-extra-games = \
    repton, \
    sfcave-sdl, \
    snes9x

=== base/blueprobe/Makefile ===
PREFIX = /usr/local
PACKAGE = blueprobe
DEBUG = no
CVSBUILD = yes
VERSION = 0.13

MEMBERS = blueprobe

PACKAGE_CFLAGS += $(STANDARD_CFLAGS)
PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS) -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"
PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS)

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: $(PACKAGE)

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-program: $(PACKAGE)
	install -d $(DESTDIR)/etc/sysconfig
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	install -d $(DESTDIR)/etc/init.d
	install $(PACKAGE).init $(DESTDIR)/etc/init.d/$(PACKAGE)
	install -d $(DESTDIR)/etc/rcS.d
	ln -s ../init.d/$(PACKAGE) $(DESTDIR)/etc/rcS.d/S97blueprobe

clean:
	rm -f $(PACKAGE)
	rm -f $(OBJS) $(DEPS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

=== base/bluez-pin/Makefile ===
PREFIX = /usr/local
SYSCONFDIR=$(PREFIX)/etc
PACKAGE = bluez-pin
CVSBUILD = yes
GTK2 = yes
LINGUAS = eo fr id ga wa sv cs af de fi hu nl pt_BR ro sk sr uk
VERSION = 0.24

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

CFLAGS += -O2 -g

CFLAGS += `pkg-config --cflags gtk+-2.0 libglade-2.0 dbus-glib-1 gconf-2.0` -DGTK_DISABLE_DEPRECATED -DDBUS_API_SUBJECT_TO_CHANGE
LDFLAGS += `pkg-config --libs gtk+-2.0 libglade-2.0 dbus-glib-1 gconf-2.0` -lbluetooth
CFLAGS += -Wall

CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"

MEMBERS = main pin-dbus pin-ui
GLADE = bluez-pin.glade bluez-pin-gpe.glade

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS)) bluez.conf $(GLADE)

all: $(PACKAGE) bluez.conf

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

install-program: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	mkdir -p $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/
	install -m 644 bluez.conf $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 bt-logo.png $(DESTDIR)$(PREFIX)/share/pixmaps/bt-logo.png
	mkdir -p $(DESTDIR)$(PREFIX)/share/bluez-pin/
	install -m 644 $(GLADE) $(DESTDIR)$(PREFIX)/share/bluez-pin/

clean:
	rm -f $(PACKAGE) $(OBJS) *.bak *.gladep

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

=== base/detect-stylus/Makefile ===
PREFIX = /usr/local
PACKAGE = detect-stylus
STRIP = strip
DEBUG = no
CVSBUILD = yes
VERSION = 0.13

MEMBERS = detect-stylus

PACKAGE_CFLAGS = -D_GNU_SOURCE -Wall
ifeq ($(DEBUG),yes)
PACKAGE_CFLAGS += -O2 -g
PACKAGE_LDFLAGS = -g #-lefence
else
PACKAGE_CFLAGS += -Os -fomit-frame-pointer
endif
PACKAGE_CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"
PACKAGE_LDFLAGS += `pkg-config --libs x11`

OBJS = $(patsubst %,%.o,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

#export PKG_CONFIG_PATH = $(BUILD)

all: $(PACKAGE)

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(STANDARD_LDFLAGS) $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-program: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	$(STRIP) $(PACKAGE)
	install $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	mkdir -p $(DESTDIR)/etc/X11/Xinit.d
	install 70detect-stylus $(DESTDIR)/etc/X11/Xinit.d

clean:
	rm -f $(PACKAGE) $(OBJS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

=== base/emailsync/Makefile ===

all : emailsync
run : emailsync
	./emailsync

emailsync : emailsync.c
	gcc -g -Wall -Werror emailsync.c -o emailsync

=== base/gpe-aerial/Makefile ===
PACKAGE = gpe-aerial
VERSION = 0.2.12
CVSBUILD = yes
DEBUG = no
INSTALL = install
STRIP=strip
PREFIX = /usr/local
DESTDIR = /

LINGUAS = de sv ro cs nl pt ru fr sr es pt_BR vi

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

ifeq ($(DEBUG),yes)
PACKAGE_CFLAGS += -g -DDEBUG
else
PACKAGE_CFLAGS += -Os -fomit-frame-pointer
endif

PACKAGE_CFLAGS += -Wall -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -D_GNU_SOURCE -DPACKAGE=\"$(PACKAGE)\" 
PACKAGE_CFLAGS += -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"

PACKAGE_CPPFLAGS += -I.

GTKCFLAGS = `pkg-config --cflags gtk+-2.0 gdk-pixbuf-2.0` 
GTKLDFLAGS += `pkg-config --libs gtk+-2.0 gdk-2.0` `pkg-config --libs gthread-2.0`

PACKAGE_CFLAGS +=  -Wall $(GPECFLAGS) $(GTKCFLAGS) 
PACKAGE_LDFLAGS += $(GPELIBS) $(GTKLDFLAGS) -lsqlite


MEMBERS  = main netdb netedit

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))


PIXMAPS = gpe-aerial.png
PIXMAPS += scan-on.png

all: $(PACKAGE) 

$(PACKAGE): $(OBJS)
	$(CC) -g -o $@ $(OBJS) $(LDFLAGS) $(PACKAGE_LDFLAGS)


install-program: $(PACKAGE) all-desktop
	mkdir -p $(DESTDIR)/$(PREFIX)/bin
	$(INSTALL) $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/
	$(STRIP) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps/
	for i in $(PIXMAPS); do install -m 644 -D pixmaps/$$i $(DESTDIR)$(PREFIX)/share/pixmaps/$$i; done
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL) -m 644 *.desktop $(DESTDIR)$(PREFIX)/share/applications

clean:
	rm -f gpe-aerial $(OBJS) *~ */*~ *.ipk *.o

include $(BUILD)/Makefile.dpkg_ipkg
include $(BUILD)/Makefile.translation

=== base/gpe-announce/Makefile ===
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

PACKAGE = gpe-announce
PREFIX = /usr/local
CVSBUILD = yes
DEBUG = no
LINGUAS = 
VERSION = 0.12

MEMBERS = main interface callbacks

PACKAGE_CPPFLAGS = $(STANDARD_CPPFLAGS)
PACKAGE_CFLAGS = $(STANDARD_CFLAGS) $(GPECFLAGS) `pkg-config --cflags gthread-2.0`
PACKAGE_LDFLAGS = $(STANDARD_LDFLAGS) $(GPELIBS) `pkg-config --libs gthread-2.0`

ifeq ($(CVSBUILD),yes)
PACKAGE_CPPFLAGS += -I../libsoundgen -I../libschedule
PACKAGE_LDFLAGS += -L../libsoundgen -L../libschedule
endif

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: $(PACKAGE)

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS) -lsoundgen -lschedule

install-program: all 
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)

clean:
	rm -f $(PACKAGE) $(OBJS) $(DEPS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

=== base/gpe-appmgr/Makefile ===
CVSBUILD = yes
DEBUG = yes
PACKAGE = gpe-appmgr
VERSION = 2.7

PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS)
PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS) -I../libgpelaunch -I../libxsettings-client -I../libxsettings
PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS) -L../libgpelaunch/.libs -lgpelaunch -Wl,-rpath-link,../libxsettings -L../libxsettings-client -lXsettings-client

PACKAGE_CFLAGS += $(shell pkg-config --cflags cairo)
PACKAGE_LDFLAGS += $(shell pkg-config --libs cairo)

DESTDIR=
PREFIX=/usr
BINDIR=$(PREFIX)/bin
ETCDIR=etc
INSTALL=install
STRIP=strip

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

OBJS=main.o row_view.o tab_view.o single_view.o xsettings.o

all: gpe-appmgr

gpe-appmgr: $(OBJS)
	$(CC) -o gpe-appmgr $(OBJS) $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-program: all
	$(INSTALL) -D gpe-appmgr $(DESTDIR)/$(BINDIR)/gpe-appmgr
	$(STRIP) $(DESTDIR)/$(BINDIR)/gpe-appmgr
	mkdir -p $(DESTDIR)/$(PREFIX)/share/pixmaps
	$(INSTALL) -D dist/usr/share/pixmaps/*.png  $(DESTDIR)/$(PREFIX)/share/pixmaps
	$(INSTALL) -D appmgr.session $(DESTDIR)/etc/X11/Xsession.d/90GpeAppMgr

clean:
	rm -f *.o gpe-appmgr

distclean: clean
	rm -f *.ipk
	rm -rf familiar/dist

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

=== base/gpe-autostarter/Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-autostarter
DEBUG = no
CVSBUILD = yes
VERSION = 0.11

MEMBERS = autostarter net bluetooth

PACKAGE_CFLAGS += $(STANDARD_CFLAGS) `pkg-config --cflags glib-2.0` `pkg-config --cflags dbus-glib-1` -DDBUS_API_SUBJECT_TO_CHANGE
PACKAGE_LDFLAGS += `pkg-config --libs glib-2.0` `pkg-config --libs dbus-glib-1` `pkg-config --libs x11`

export PKG_CONFIG_PATH := $(BUILD):$(PKG_CONFIG_PATH)

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

OBJS = $(patsubst %,%.o,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))

all: $(PACKAGE) all-mo

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-program: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)/etc/X11/Xsession.d
	install $(PACKAGE).xsession $(DESTDIR)/etc/X11/Xsession.d/50$(PACKAGE)

clean:
	rm -f $(PACKAGE) $(OBJS) $(DEPS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

=== base/gpe-beam/Makefile ===
PACKAGE = gpe-beam
VERSION = 0.2.7
CVSBUILD = yes
DEBUG = no
INSTALL = install
PREFIX = /usr/local
DESTDIR = /
CONTROL = control1

LINGUAS = cs de sv ro nl pt ru fr sr es pt_BR zh_CN vi

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

ifeq ($(DEBUG),yes)
PACKAGE_CFLAGS += -g -DDEBUG -DIRCP_DEBUG=9
else
PACKAGE_CFLAGS += -Os -fomit-frame-pointer 
endif

PACKAGE_CFLAGS += -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -D_GNU_SOURCE -DPACKAGE=\"$(PACKAGE)\" 
PACKAGE_CFLAGS += -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\" -DDBUS_API_SUBJECT_TO_CHANGE

PACKAGE_CPPFLAGS += -I.

MIMECFLAGS =`pkg-config --cflags mimedir-1.0`
MIMELDFLAGS = $(GTKLDFLAGS) -lsqlite `pkg-config --libs mimedir-1.0`

ifeq ($(CVSBUILD),yes)
MIMECFLAGS += $(shell PKG_CONFIG_PATH=../libgpevtype pkg-config --cflags libgpevtype-uninstalled)
MIMELDFLAGS += $(shell PKG_CONFIG_PATH=../libgpevtype pkg-config --libs libgpevtype-uninstalled)
else
MIMECFLAGS += `pkg-config --cflags libgpevtype`
MIMELDFLAGS += `pkg-config --libs libgpevtype`
endif

libircp_a_OBJECTS =  ircp/ircp_client.o ircp/ircp_server.o ircp/ircp_io.o ircp/dirtraverse.o
IRFLAGS = -lopenobex libircp.a

STRIP=strip
CC=gcc
AR = ar
RANLIB = ranlib

PACKAGE_CFLAGS +=  -Wall $(GPECFLAGS) $(GTKCFLAGS) `pkg-config --cflags gthread-2.0` `pkg-config --cflags dbus-glib-1`
PACKAGE_LDFLAGS += $(GPELIBS) $(GTKLIBS) `pkg-config --libs gthread-2.0` `pkg-config --libs dbus-glib-1`

MEMBERS  = main filesel dbus obexclient-dbus

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))


PIXMAPS = irda-16.png irda.png irda-on-16.png irda-conn-16.png irda-on-48.png irda-conn-48.png

all: $(PACKAGE) irsw

$(PACKAGE): libircp.a $(OBJS)
	$(CC) -g -o $@ $(OBJS) $(LDFLAGS) $(IRFLAGS) $(PACKAGE_LDFLAGS)

irsw: irsw.o irsw.o
	$(CC) -o $@ $^ $(LDFLAGS)

PACKAGE_CFLAGS += $(MIMECFLAGS)

libircp.a: $(libircp_a_OBJECTS) $(libircp_a_DEPENDENCIES)
	-rm -f libircp.a
	$(AR) cru libircp.a $(libircp_a_OBJECTS) $(libircp_a_LIBADD)
	$(RANLIB) libircp.a

install-program: all all-desktop
	mkdir -p $(DESTDIR)/CONTROL
	sed -e s/VERSION/$(VERSION)/ <familiar/$(CONTROL) > $(DESTDIR)/CONTROL/control
	mkdir -p $(DESTDIR)/$(PREFIX)/bin
	$(INSTALL) $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 4755 irsw $(DESTDIR)$(PREFIX)/bin/
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	for i in $(PIXMAPS); do install -m 644 -D pixmaps/$$i $(DESTDIR)$(PREFIX)/share/pixmaps/$$i; done
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL) -m 644 *.desktop $(DESTDIR)$(PREFIX)/share/applications

clean:
	rm -f $(PACKAGE) vcard-import-file irsw $(OBJS) *~ */*~ *.ipk *.o *.a ircp/*.o

include $(BUILD)/Makefile.dpkg_ipkg
include $(BUILD)/Makefile.translation

=== base/gpe-bluetooth/Makefile ===
PREFIX = /usr/local
SYSCONFDIR = /etc
PACKAGE = gpe-bluetooth
DEBUG = no
CVSBUILD = yes
GTK2 = yes
VERSION = 0.37

GLADE = bluez-pin-gpe.glade

MEMBERS = main dun sdp pan lap rfcomm pin-ui dbus pin-dbus headset obexserver obex-vcard obex-vcal obex-unknown obexclient obex-glib obexclient-dbus

ifeq ($(CVSBUILD),yes)
LIBGPEVTYPE_PC = libgpevtype-uninstalled
LIBGPEVTYPE_PC_EXTRA=PKG_CONFIG_PATH=../../base/libgpevtype
else
LIBGPEVTYPE_PC = libgpevtype
endif

PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS) `pkg-config --cflags dbus-glib-1` `pkg-config --cflags libglade-2.0` `pkg-config --cflags mimedir-1.0` `$(LIBGPEVTYPE_PC_EXTRA) pkg-config --cflags $(LIBGPEVTYPE_PC)`
PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS) -DDBUS_API_SUBJECT_TO_CHANGE -DGPE_BLUETOOTH
PACKAGE_CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"
PACKAGE_LDFLAGS += $(GPELIBS) -lbluetooth -lsdp `pkg-config --libs gthread-2.0` `pkg-config --libs dbus-glib-1` `pkg-config --libs libglade-2.0` -lopenobex `pkg-config --libs mimedir-1.0` `$(LIBGPEVTYPE_PC_EXTRA) pkg-config --libs $(LIBGPEVTYPE_PC)` -lsqlite

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

OBJS = $(patsubst %,%.o,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS)) bnep-helper.d rfcomm-helper.d

all: $(PACKAGE) all-mo bnep-helper rfcomm-helper

ifeq ($(CVSBUILD),yes)
pin-ui.c: ../bluez-pin/pin-ui.c
	rm -f $@
	cp $< $@
	chmod a-w $@

pin-ui.h: ../bluez-pin/pin-ui.h
	rm -f $@
	cp $< $@
	chmod a-w $@

pin-dbus.c: ../bluez-pin/pin-dbus.c
	rm -f $@
	cp $< $@
	chmod a-w $@

$(GLADE): ../bluez-pin/$(GLADE)
	rm -f $@
	cp $< $@
	chmod a-w $@

bluez.conf: ../bluez-pin/bluez.conf
	rm -f $@
	cp $< $@
	chmod a-w $@
endif

extract-po: pin-ui.c pin-dbus.c

$(PACKAGE): pin-ui.h $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS) $(PACKAGE_LDFLAGS)

bnep-helper: bnep-helper.o
	$(CC) -o $@ $< $(LDFLAGS) $(STANDARD_LDFLAGS) -lbluetooth

rfcomm-helper: rfcomm-helper.o
	$(CC) -o $@ $< $(LDFLAGS) $(STANDARD_LDFLAGS) -lbluetooth

install-program: all $(GLADE) bluez.conf
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/lib/gpe-bluetooth
	install -s bnep-helper $(DESTDIR)$(PREFIX)/lib/gpe-bluetooth/
	chmod u+s $(DESTDIR)$(PREFIX)/lib/gpe-bluetooth/bnep-helper
	install -s rfcomm-helper $(DESTDIR)$(PREFIX)/lib/gpe-bluetooth/
	chmod u+s $(DESTDIR)$(PREFIX)/lib/gpe-bluetooth/rfcomm-helper
	install -d $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/bluetooth
	install -m 644 pixmaps/bt-on.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/bluetooth/
	install -m 644 pixmaps/bt-off.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/bluetooth/
	install -m 644 pixmaps/cellphone.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/bluetooth/
	install -m 644 pixmaps/network.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/bluetooth/
	install -m 644 pixmaps/Computer.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/bluetooth/
	install -m 644 pixmaps/Printer.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/bluetooth/
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 $(PACKAGE).desktop $(DESTDIR)$(PREFIX)/share/applications/
	install -d $(DESTDIR)/etc/bluetooth/
	install hciattach.sh $(DESTDIR)/etc/bluetooth/hciattach
	install -d $(DESTDIR)/etc/ppp/peers/
	install -m 644 peers/lap $(DESTDIR)/etc/ppp/peers/lap
	mkdir -p $(DESTDIR)$(PREFIX)/share/bluez-pin/
	install -m 644 $(GLADE) $(DESTDIR)$(PREFIX)/share/bluez-pin/
	mkdir -p $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/
	install -m 644 bluez.conf $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/

clean:
	rm -f $(PACKAGE) $(OBJS) $(DEPS) bnep-helper rfcomm-helper bnep-helper.o rfcomm-helper.o

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

-include $(DEPS)

=== base/gpe-bootsplash/Makefile ===
PACKAGE = gpe-bootsplash
VERSION = 1.14
CVSBUILD = yes

PACKAGE_CFLAGS = `pkg-config --cflags gdk-pixbuf-2.0 libsvg-cairo` `pkg-config --libs gdk-pixbuf-2.0 libsvg-cairo` -DGTK2
CFLAGS = -fomit-frame-pointer -Os

SPLASH = splash2.png

all: gpe-bootsplash

gpe-bootsplash: splash.c
	$(CC) $(CFLAGS) $(PACKAGE_CFLAGS) $(LDFLAGS) splash.c -o gpe-bootsplash

install-program: gpe-bootsplash
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/gpe
	mkdir -p $(DESTDIR)/etc/rcS.d
	mkdir -p $(DESTDIR)/etc/init.d
	cp gpe-bootsplash.init $(DESTDIR)/etc/init.d/gpe-bootsplash
	#install -m 644 $(SPLASH) $(DESTDIR)/usr/share/gpe/splash.png
	install -s gpe-bootsplash $(DESTDIR)/usr/bin/
	ln -sf ../init.d/gpe-bootsplash $(DESTDIR)/etc/rcS.d/S00bootsplash

clean:
	rm -f gpe-bootsplash splash.o

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

include $(BUILD)/Makefile.dpkg_ipkg

=== base/bluez-pin/debian/changelog ===
bluez-pin (0.22-1) unstable; urgency=low

  * Update to work with D-BUS 0.20.  (Closes: #230254)

 -- Philip Blundell <pb@handhelds.org>  Wed,  4 Feb 2004 20:13:11 +0000

bluez-pin (0.21-3) unstable; urgency=low

  * Install dbus config file to correct location, courtesy Dagfinn 
    Ilmari (Closes: #220516)

 -- Philip Blundell <pb@handhelds.org>  Thu, 15 Jan 2004 19:55:49 +0000

bluez-pin (0.21-2) unstable; urgency=low

  * Add missing build-depends on libgconf2-dev; closes: #217639

 -- Philip Blundell <pb@nexus.co.uk>  Sun, 26 Oct 2003 14:14:27 +0000

bluez-pin (0.21-1) unstable; urgency=low

  * New upstream release.
  * Correctly query for $DISPLAY, thanks to Sjoerd Simons.  
    (Closes: #217625, #205023)

 -- Philip Blundell <pb@handhelds.org>  Sun, 26 Oct 2003 11:32:34 +0000

bluez-pin (0.20-1) unstable; urgency=low

  * Initial Release.

 -- Philip Blundell <pb@handhelds.org>  Sun, 22 Jun 2003 21:01:58 +0100

=== base/gpe-edit/debian/changelog ===
gpe-edit (0.20-1) unstable; urgency=low

  * New upstream version.
  * Add missing build-depends; fix disastrous hardcoding of wrong
    path in Makefile.  (Closes: #212058)

 -- Phil Blundell <pb@debian.org>  Mon, 13 Oct 2003 20:46:36 +0100

gpe-edit (0.19-1) unstable; urgency=low

  * New upstream version.  (Closes: #196988)
  * Build-Depend on new libgpewidget. (Closes: #189873)

 -- Philip Blundell <pb@debian.org>  Tue, 16 Sep 2003 00:14:08 +0100

gpe-edit (0.05) unstable; urgency=low

  * New upstream version.

 -- Phil Blundell <pb@debian.org>  Sat, 13 Jul 2002 18:57:45 +0100

gpe-edit (0.04-2) unstable; urgency=low

  * Add more build-depends

 -- Phil Blundell <pb@debian.org>  Thu, 11 Jul 2002 09:43:40 +0100

gpe-edit (0.04-1) unstable; urgency=low

  * New upstream version
  * Add missing build-depends, closes: #150851

 -- Phil Blundell <pb@debian.org>  Wed, 10 Jul 2002 21:50:40 +0100

gpe-edit (0.01-1) unstable; urgency=low

  * Initial release.

 -- Philip Blundell <pb@debian.org>  Sun, 16 Jun 2002 16:16:22 +0100

=== base/gpe-icons/debian/changelog ===
gpe-icons (0.20-2) unstable; urgency=low

  * Add long package description in debian/control. Closes: #209511.
  * Fix debian/rules to install package changelog.
  * Alter debian/copyright to appease lintian.

 -- Moray Allan <moray@sermisy.org>  Sat,  8 Nov 2003 23:01:40 +0000

gpe-icons (0.07-1) unstable; urgency=low

  * New upstream version

 -- Philip Blundell <pb@debian.org>  Wed, 10 Jul 2002 21:44:26 +0100

gpe-icons (0.04-1) unstable; urgency=low

  * Initial Release.

 -- Philip Blundell <pb@debian.org>  Sun, 16 Jun 2002 15:32:44 +0100

=== base/gpe-ownerinfo1/debian/changelog ===
gpe-ownerinfo (0.01-1) unstable; urgency=low

  * Initial release.

 -- Colin Marquardt <ipaq@marquardt-home.de>  Sun, 21 Jul 2002 18:10:22 +0200

=== base/gpe-today/debian/changelog ===
gpe-today (0.01) unstable; urgency=low

  * Initial Release.

=== base/keylaunch/debian/changelog ===
keylaunch (2.0.5) unstable; urgency=low

  * New 'Combine' action for multiple button presses (patch from pb).

 -- Moray Allan <moray@sermisy.org>  Sun, 14 Sep 2003 23:44:44 +0100

keylaunch (2.0.3) unstable; urgency=low

  * Key releases handled differently; fake events are now only generated for
    keys which have a 'Pressed' action defined.

 -- Moray Allan <moray@sermisy.org>  Thu, 29 May 2003 22:38:32 +0100

keylaunch (2.0.2) unstable; urgency=low

  * Brought keylaunchrc up to date for new gpe-taskmanager versions.

 -- Moray Allan <moray@sermisy.org>  Mon, 21 Apr 2003 14:16:21 +0100

keylaunch (2.0.1) unstable; urgency=low

  * Added XSelectInput call.
  * Changes to Makefile for latest GPE build system.

 -- Moray Allan <moray@sermisy.org>  Sun, 23 Mar 2003 18:40:11 +0000

keylaunch (2.0.0) unstable; urgency=low

  * New parser for keylaunchrc files.
  * Updated default keylaunchrc.
  * Probably other minor changes.
  * New version numbering scheme.

 -- Moray Allan <moray@sermisy.org>  Sat, 22 Mar 2003 18:29:46 +0000

keylaunch (1.3.0-5gpe5) unstable; urgency=low

  * Updated remaining window names in keylaunchrc.

 -- Moray Allan <moray@sermisy.org>  Mon,  5 Aug 2002 15:19:08 +0100

keylaunch (1.3.0-5gpe4) unstable; urgency=low

  * Updated gpe-soundbite entry in keylaunchrc file.

 -- Moray Allan <moray@sermisy.org>  Tue, 30 Jul 2002 18:21:38 +0100

keylaunch (1.3.0-5gpe3) unstable; urgency=low

  * Added -f option (PB)
  * Moved /etc/X11/Xsession-gpe.d/90keylaunch into package

 -- Moray Allan <moray@sermisy.org>  Sat, 20 Jul 2002 20:06:40 +0100

keylaunch (1.3.0-5gpe2) unstable; urgency=low

  * Linked in xsingleinstance code for finding and raising windows
  * Key presses are propagated to other clients after we react to them

 -- Moray Allan <moray@sermisy.org>  Tue, 25 Jun 2002 02:37:10 +0100

keylaunch (1.3.0-5gpe1) unstable; urgency=low

  * Updated default configuration file's gpe-soundbite options

 -- Moray Allan <moray@sermisy.org>  Sun, 23 Jun 2002 04:10:41 +0100

keylaunch (1.3.0-5gpe0) unstable; urgency=low

  * Patched to use global /etc/keylaunchrc if there's no per-user file.

 -- Moray Allan <moray@sermisy.org>  Fri, 21 Jun 2002 21:48:30 +0000

keylaunch (1.3.0-5) unstable; urgency=low

  * Fixed the Header to represent the actual situation. 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon, 10 Jun 2002 00:45:32 +0200

keylaunch (1.3.0-4) unstable; urgency=low

  * Fixed a spelling error in the man page.
    closes: #127420

 -- Brandon L. Griffith <brandon@debian.org>  Wed,  3 Apr 2002 12:20:50 -0500

keylaunch (1.3.0-3) unstable; urgency=low

  * Added a manual page.
  * Cleaned up lintian Warnings.

 -- Brandon L. Griffith <brandon@debian.org>  Mon, 31 Dec 2001 13:38:01 -0500

keylaunch (1.3.0-2) unstable; urgency=low

  * Failed to add Build Depends
    Closes: #108965

 -- Brandon L. Griffith <brandon@debian.org>  Fri, 17 Aug 2001 09:28:23 -0400

keylaunch (1.3.0-1) unstable; urgency=low

  * Initial Release.
  * Closes wnpp bug filed for packaging.
    Closes: #108615

 -- Brandon L. Griffith <brandon@debian.org>  Wed, 15 Aug 2001 00:12:29 -0400

Local variables:
mode: debian-changelog
End:

=== base/libgpewidget/debian/changelog ===
libgpewidget (0.73-1) unstable; urgency=low

  * New upstream version.
  * Link explicitly with Xrender.  (Closes: #215575)

 -- Philip Blundell <pb@nexus.co.uk>  Mon, 13 Oct 2003 19:33:09 +0100

libgpewidget (0.72-1) unstable; urgency=low

  * New upstream version.

 -- Phil Blundell <pb@debian.org>  Sat, 27 Sep 2003 11:39:02 +0100

libgpewidget (0.70-2) unstable; urgency=low

  * Include .pc file as well.

 -- Philip Blundell <pb@nexus.co.uk>  Tue, 16 Sep 2003 19:25:11 +0100

libgpewidget (0.70-1) unstable; urgency=low

  * New upstream release.
  * Make libgpewidget-dev depend on libgtk2.0-dev.

 -- Philip Blundell <pb@nexus.co.uk>  Tue, 16 Sep 2003 00:24:50 +0100

libgpewidget (0.66-1) unstable; urgency=low

  * New upstream version.
  * Uploading to unstable since dependency on XRENDER has been relaxed.

 -- Philip Blundell <pb@nexus.co.uk>  Fri,  5 Sep 2003 18:53:54 +0100

libgpewidget (0.65-1) experimental; urgency=low

  * New upstream version.

 -- Philip Blundell <pb@debian.org>  Fri, 22 Aug 2003 23:02:31 +0100

libgpewidget (0.62-1) unstable; urgency=low

  * New upstream version, closes: #196989

 -- Philip Blundell <pb@debian.org>  Sat, 28 Jun 2003 08:46:41 +0100

libgpewidget (0.44-2) unstable; urgency=low

  * Build-depend on recode.

 -- Philip Blundell <pb@debian.org>  Fri, 31 Jan 2003 21:41:19 +0000

libgpewidget (0.44-1) unstable; urgency=low

  * New upstream version.

 -- Philip Blundell <pb@debian.org>  Sun, 26 Jan 2003 14:04:50 +0000

libgpewidget (0.10-2) unstable; urgency=low

  * Include missing headers in libgpewidget-dev

 -- Phil Blundell <pb@debian.org>  Wed, 10 Jul 2002 21:53:30 +0100

libgpewidget (0.10-1) unstable; urgency=low

  * New upstream version
  * Seems to autobuild without problems now, closes: #150850

 -- Phil Blundell <pb@debian.org>  Wed, 10 Jul 2002 21:46:41 +0100

libgpewidget (0.09-1) unstable; urgency=low

  * New upstream version
  * Add more packages to Build-Depends

 -- Phil Blundell <pb@debian.org>  Tue,  9 Jul 2002 19:39:28 +0100

libgpewidget (0.05-1) unstable; urgency=low

  * Initial release.

 -- Phil Blundell <pb@debian.org>  Thu, 13 Jun 2002 19:30:06 +0100

=== base/bluez-pin/debian/control ===
Source: bluez-pin
Section: net
Priority: optional
Maintainer: Philip Blundell <pb@handhelds.org>
Build-Depends: debhelper (>> 3.0.0), dbus-glib-1-dev (>= 0.20), libgtk2.0-dev, libbluetooth1-dev, libglade2-dev, libgconf2-dev
Standards-Version: 3.5.2

Package: bluez-pin
Architecture: any
Depends: ${shlibs:Depends}
Description: Bluetooth PIN helper with D-BUS support
 Bluez-pin provides a user interface for entering the PIN codes needed
 when pairing one Bluetooth device with another.

=== base/gpe-edit/debian/control ===
Source: gpe-edit
Section: x11
Priority: optional
Maintainer: Phil Blundell <pb@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgpewidget-dev (>= 0.73-1), libgtk2.0-dev, intltool, gettext, libdisplaymigration0-dev
Standards-Version: 3.5.2

Package: gpe-edit
Architecture: any
Depends: gpe-icons, ${shlibs:Depends}
Description: GPE Palmtop Environment text editor
 GPE-Edit is a simple programmer's editor for use on palmtop systems. 
 The simple GUI means it will run with ease on many different systems,
 including embedded linux devices such as the HP iPAQ.

=== base/gpe-icons/debian/control ===
Source: gpe-icons
Section: x11
Priority: optional
Maintainer: Philip Blundell <pb@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: gpe-icons
Architecture: all
Depends: ${shlibs:Depends}
Description: Common icons used by GPE programs
 This package contains the default icon theme used by the core applications of
 the GPE Palmtop Environment.

=== base/gpe-ownerinfo1/debian/control ===
Source: gpe-ownerinfo
Section: x11
Priority: optional
Maintainer: Colin Marquardt <ipaq@marquardt-home.de>
Build-Depends: debhelper (>> 3.0.0), libgpewidget-dev (>= 0.10-2), libgtk1.2-dev
Standards-Version: 3.5.2

Package: gpe-ownerinfo
Architecture: any
Depends: gpe-icons, ${shlibs:Depends}
Description: GPE Palmtop Environment owner information
 GPE-Ownerinfo displays information about the owner of a system. 
 It is meant to be used in a login- or lock screen on palmtop devices
 so that the owner can easily be identified in case the device gets lost.

=== base/gpe-today/debian/control ===
Source: gpe-today
Section: x11
Priority: optional
Maintainer: Luis Oliveira <luis@handhelds.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: gpe-today
Architecture: all
Depends: ${shlibs:Depends}
Description: GPE Summary application

=== base/libgpewidget/debian/control ===
Source: libgpewidget
Section: libs
Priority: optional
Maintainer: Phil Blundell <pb@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgtk2.0-dev, xlibs-dev, recode, libxrender-dev
Standards-Version: 3.5.2

Package: libgpewidget-dev
Section: libdevel
Architecture: any
Depends: libgpewidget1 (= ${Source-Version}), libgtk2.0-dev
Description: Development files for libgpewidget
 This package contains headers and other files required to compile
 GPE applications.

Package: libgpewidget1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gpe-icons
Description: GPE Palmtop Environment widget library
 This library contains Gtk+ widgets and other common code shared by
 multiple GPE applications. 
 .
 For information about the GPE project, see http://gpe.handhelds.org

=== base/gpe-edit/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) CVSBUILD=no PREFIX=/usr
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gpe-edit.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gpe-edit PREFIX=/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== base/gpe-icons/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure:
build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gpe-icons.
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/gpe-icons
	install -m 644 -D README $(CURDIR)/debian/gpe-icons/usr/share/doc/gpe-icons/README

binary-arch:

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== base/gpe-ownerinfo1/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) CVSBUILD=no PREFIX=/usr
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gpe-ownerinfo.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gpe-ownerinfo PREFIX=/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== base/libgpewidget/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) install-devel PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

	dh_installdocs
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -V
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
